@import '../abstracts/mixins.module';

.home {
  background-image: linear-gradient(120deg, #89f7fe 0%, #66a6ff 100%);

  &__header {
    background-image: linear-gradient(to right, #434343 0%, black 100%);
    padding: 20px;
    box-shadow: 0 8px 6px -6px #313131;
  }

  &__header-title {
    font-size: 40px;
    font-weight: 500;
    margin: 0px;
    margin-left: 2%;
    color: #fff;

    @include respond(phone-lx) {
      font-size: 20px;
    }
  }

  &__flex {
    background-color: #fafafa;
    border-radius: 30px;
    padding: 50px 80px;
    flex: 1;
    position: relative;
    margin-top: 30px;

    @include respond(laptop-s) {
      padding: 20px 30px;
      margin: 0px 50px;
    }

    @include respond(phone-lx) {
      margin: 20px 10px;
    }
  }

  &__container {
    max-width: 1220px;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;

    @include respond(phone-lx) {
      align-items: flex-start;
    }
  }

  &__comic-container {
    text-align: center;

    @include respond(phone-lx) {
      margin-top: 60px;
    }
  }

  &__img {
    max-width: 600px;
    background-size: cover;

    @include respond(tab-port) {
      max-width: 400px;
    }

    @include respond(phone-lx) {
      max-width: 300px;
    }

    @include respond(phone-m) {
      max-width: 230px;
    }
  }

  &__button {
    position: absolute;
    top: 15px;
    right: 15px;
  }

  &__comic-title {
    font-weight: 25px;
    color: #0c0c0c;
    font-weight: bolder;
  }

  &__star {
    font-size: 30px;
    color: rgba(233, 213, 31, 0.849);
    height: 30px;
    width: 30px;
    cursor: pointer;
    margin-left: 3px;
    margin-right: 3px;

    &:hover {
      color: rgb(252, 227, 0);
    }
  }
}
